commit e661b7b61a1b1feeb3193e5eced6274cc03e0ffa
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 3 22:26:13 2026 +0200

    poppler 26.09.0

 CMakeLists.txt   |  6 +++---
 NEWS             | 18 ++++++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 24 insertions(+), 6 deletions(-)

commit cbf801f06fbd8b243b3011dcb0d2a78baa3b3ce0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 3 22:42:32 2026 +0200

    Revert "Fix intermittent glib API docs build failure"

    This reverts commit ad34cc58a1a3542d10bb98b7212ac8c0314bfba9.

 glib/reference/CMakeLists.txt | 11 +----------
 1 file changed, 1 insertion(+), 10 deletions(-)

commit c1948b1d66b214c47820aedca7c0c9c53719fd91
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 3 22:08:14 2026 +0200

    Update (C)

 cpp/tests/poppler-dump.cpp                        | 2 +-
 poppler/CryptoSignBackend.cc                      | 3 ++-
 poppler/CryptoSignBackend.h                       | 2 ++
 poppler/DistinguishedNameParser.h                 | 2 +-
 poppler/Form.h                                    | 1 +
 test/font-subsetting/fontsubsetting-basic-test.cc | 1 +
 6 files changed, 8 insertions(+), 3 deletions(-)

commit 737000618edfcbc0185645d1d3169de4b3c95e57
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 3 12:40:53 2026 +0200

    Make redundant-qualified-alias from clang-tidy 23 happy

 cpp/poppler-global.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ad34cc58a1a3542d10bb98b7212ac8c0314bfba9
Author: Funda Wang <fundawang@yeah.net>
Date:   Thu Sep 3 09:57:17 2026 +0000

    Fix intermittent glib API docs build failure

    Fixes #1781

 glib/reference/CMakeLists.txt | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 2191210e58043db0bd8d39887aadf2279ee6ba7f
Author: Ojas Maheshwari <workonlyojas@gmail.com>
Date:   Wed Sep 2 22:38:14 2026 +0000

    Font subsetting for form fields

 poppler/Annot.cc                                  | 230
 ++++++++++++++++++----
 poppler/Annot.h                                   |  17 +-
 poppler/FontSubsetter.cc                          | 117 ++++++-----
 poppler/FontSubsetter.h                           |   4 +
 poppler/Form.h                                    |   2 +-
 test/CMakeLists.txt                               |  16 +-
 test/font-subsetting/fontsubsetting-basic-test.cc | 100 ++++++++--
 7 files changed, 378 insertions(+), 108 deletions(-)

commit 0cc3f68f435728661a7e14a9e7b0abd79f416c98
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 31 23:53:47 2026 +0200

    Add std::move as suggested by clang-tidy 23

 fofi/FoFiType1.cc                 | 2 +-
 poppler/DistinguishedNameParser.h | 4 ++--
 poppler/GfxState.cc               | 2 +-
 qt5/src/poppler-page.cc           | 4 ++--
 qt6/src/poppler-page.cc           | 2 +-
 splash/SplashState.cc             | 2 +-
 6 files changed, 8 insertions(+), 8 deletions(-)

commit 8bf4c5b81c686c4db78f8e1dac7748b822300c64
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 31 23:29:49 2026 +0200

    Use more string_view as suggested by clang-tidy 23

 cpp/tests/poppler-dump.cpp   | 4 ++--
 poppler/CryptoSignBackend.cc | 2 +-
 poppler/CryptoSignBackend.h  | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 5e086eea01afe6fcad084843d6930523cbdee97c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 1 01:14:10 2026 +0200

    Update (C)

 poppler/Annot.cc                                  |  1 +
 poppler/Annot.h                                   |  1 +
 poppler/AnnotStampImageHelper.h                   |  2 +-
 poppler/FontInfo.h                                |  2 +-
 poppler/FontSubsetter.cc                          | 11 +++++++++++
 poppler/FontSubsetter.h                           | 11 +++++++++++
 poppler/PDFDoc.cc                                 |  1 +
 test/font-subsetting/fontsubsetting-basic-test.cc |  9 +++++++++
 8 files changed, 36 insertions(+), 2 deletions(-)

commit b075a749b79d272214b4b3fab98cdda88224fb75
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 31 23:57:39 2026 +0200

    Make clang-tidy 23 performance-prefer-single-char-overloads happy

 glib/poppler-annot.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 08f3940b6a67f00ec849257f7dd7b318ee1b9852
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 31 15:27:52 2026 +0200

    FontSubsetter: get widths from oldFont instead of freetype

 poppler/FontSubsetter.cc | 50
 ++++++++++++++----------------------------------
 poppler/FontSubsetter.h  |  2 +-
 poppler/GfxFont.h        | 10 ++++++++--
 3 files changed, 23 insertions(+), 39 deletions(-)

commit 5456d02652afd3c4c39611ba08b4c8e32cecc6d3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 31 23:11:40 2026 +0200

    Add missing include

 poppler/AnnotStampImageHelper.h | 2 ++
 1 file changed, 2 insertions(+)

commit 012139aaad907892f14ae44465a477c53704f29b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 31 23:05:41 2026 +0200

    Only include the needed includes

 poppler/AnnotStampImageHelper.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c384465881a1a732e5dd31cfea8189592d8d3f98
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 31 22:51:05 2026 +0200

    test: Remove unused variables

 test/perf-test.cc | 18 +++++-------------
 1 file changed, 5 insertions(+), 13 deletions(-)

commit dec3ad15d15bfac2e527a0ef5219476793ea94c2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 31 22:44:21 2026 +0200

    Add missing include

 poppler/FontInfo.h | 1 +
 1 file changed, 1 insertion(+)

commit 52fd9e36fb07da29e03a2cefc1a29662cbffc0de
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 31 15:17:08 2026 +0200

    Move SubsetFontResult into createNewSubsetFont

    We are later moving its internal data vector so make it clear it's not
    something that should be used later in the caller

 poppler/FontSubsetter.cc | 4 ++--
 poppler/FontSubsetter.h  | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit e8631df8847c3d3c9f959be3d449b75c5afd2b7e
Author: Maximiliano Sandoval <msandova@protonmail.com>
Date:   Sat Aug 29 10:11:09 2026 +0200

    glib: Remove G_GNUC_CONST in enum _get_type funcs

    Continuation of a67d5f157.

 glib/poppler-enums.h.template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 551ab2a9c28af7560296a1a60a3d67a0e6ae1344
Author: ojasmaheshwari <ojasmaheshwari@gmail.com>
Date:   Thu Aug 27 15:41:10 2026 +0530

    Don't remove original fonts if any entity fails subsetting

 poppler/FontSubsetter.cc | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 3d44f634c5b329de930961f4eeb87e27f43a41d6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 28 00:57:37 2026 +0200

    Move the font subsetting just under font configuration

 CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b0d7e0b1d4f4f6392d154c9c666ae7a28c769674
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 28 00:39:41 2026 +0200

    CI: Make the build_nondefault_options use generic FONT_CONFIGURATION

    All the other FONT_CONFIGURATION are CI-tested but not this one

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f22dbfbda0275eee658ce3d7446925a30d9c38c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 28 00:25:53 2026 +0200

    Disable ENABLE_HARFBUZZ for the oss-fuzz build for now

 test/ossfuzz/build_fuzzers.sh | 1 +
 1 file changed, 1 insertion(+)

commit 7c5f988cfd02ed632ccb843084e559716df8d60c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 28 00:20:25 2026 +0200

    Disable ENABLE_HARFBUZZ if not using fontconfig

    It could be made to work but no one has tested it, so disable it
    for now

 CMakeLists.txt   | 5 +++++
 poppler/Annot.cc | 1 +
 2 files changed, 6 insertions(+)

commit 28c48a5745438cc5c32737fc576f3d2d882963f4
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Aug 27 14:20:51 2026 +0200

    NSS: Don't inf loop on wrong password

    If we are retrying here, returning the same thing doesn't work, so
    return a nullptr instead to terminate/fail the signing

 poppler/NSSCryptoSignBackend.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 9c48282ba37b98629ea97ed36eb2c57e2684080d
Author: Ojas Maheshwari <workonlyojas@gmail.com>
Date:   Tue Aug 25 21:32:12 2026 +0000

    Font Subsetting for FreeText annotations

 .gitlab-ci.yml                                    |  27 +-
 CMakeLists.txt                                    |  11 +
 config.h.cmake                                    |   3 +
 poppler/Annot.cc                                  | 228 ++++++--
 poppler/Annot.h                                   |   6 +
 poppler/FontSubsetter.cc                          | 638
 ++++++++++++++++++++++
 poppler/FontSubsetter.h                           |  43 ++
 poppler/PDFDoc.cc                                 |  14 +
 test/CMakeLists.txt                               |  10 +
 test/font-subsetting/fontsubsetting-basic-test.cc | 337 ++++++++++++
 10 files changed, 1280 insertions(+), 37 deletions(-)

commit ba9a021b452802a061bcd0e128512d3bf1a653d7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 8 16:29:33 2026 +0200

    Mini-optimize FontInfoScanner::scan

    In case getPage fails there's no need to copy the xref

    Issue #1748

 poppler/FontInfo.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 38dbbec3c27905d322620c383d5cb2ce2c920806
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 8 16:20:25 2026 +0200

    XRef::copy now returns a unique_ptr

 poppler/Page.cc             | 7 ++++---
 poppler/XRef.cc             | 5 ++---
 poppler/XRef.h              | 2 +-
 qt5/src/poppler-document.cc | 7 +++----
 qt6/src/poppler-document.cc | 7 +++----
 5 files changed, 13 insertions(+), 15 deletions(-)

commit 245d3c6823377755f2c1d5fdddd010279c6ed94d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 8 15:47:43 2026 +0200

    Fix integer overflow in FoFiTrueType::cvtSfnts

    Issue #1762

 fofi/FoFiTrueType.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 786b06dac87dbe28e85ec7ea3d340810f151c25b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 8 15:30:32 2026 +0200

    FoFiTrueType::cvtSfnts: Move variables closer to where they are used

 fofi/FoFiTrueType.cc | 42 +++++++++++++++++++-----------------------
 1 file changed, 19 insertions(+), 23 deletions(-)

commit 323c91036d99926a8b90dc14329f7b40aece22f8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 8 15:02:27 2026 +0200

    Fix integer overflow in SplashClip::clipToPath

    Issue #1763

 splash/SplashClip.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit eb87cf711563894649bd0c365baa479401dc6d51
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 7 00:36:06 2026 +0200

    Fix integer overflow in JBIG2Stream::readCodeTableSeg

    Issue #1760

 poppler/JBIG2Stream.cc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit fba5d4ec3a046e17702d56e20636b71313280293
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 5 15:16:44 2026 +0200

    Fix integer overflow in PreScanOutputDev::tilingPatternFill

    oss-fuzz/542884180

 poppler/PreScanOutputDev.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 541f0e8aa157f52cedec99bb25b9c2234a6adbb2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 7 00:23:00 2026 +0200

    Update (C)

 poppler/TextOutputDev.cc | 1 +
 poppler/TextOutputDev.h  | 1 +
 utils/HtmlOutputDev.h    | 1 +
 utils/pdftotext.cc       | 1 +
 4 files changed, 4 insertions(+)

commit 4d5114d762da2c65991cb22e2fe7d39530132bd0
Author: Diego Costa R. <diegocostar@gmail.com>
Date:   Thu Aug 6 18:13:31 2026 -0400

    pdftotext: Add -urls option to print link URLs next to their text

    pdftotext extracts only the text content streams, so URLs stored
    in link annotations (/Annots -> /A -> /URI) are never part of the
    output. Since 21.11.0 pdfinfo -url can list them, but text-extraction
    pipelines then need two binaries and two output formats, losing the
    association between each URL and the text it annotates.

    With -urls, each link's URL is printed next to its link text, enclosed
    in square brackets at the end of the line (or line fragment) that
    contains the linked text, e.g. link text [https://...]. Only links that
    point to a URL are listed; links to another place in the same document
    are ignored. URL bytes are sanitized the same way pdfinfo does and are
    written through the output encoding. The flag is rejected in -bbox,
    -bbox-layout, -tsv and -htmlmeta modes. Default behavior is unchanged.

 poppler/TextOutputDev.cc | 121
 ++++++++++++++++++++++++++++++++++++++++++++++-
 poppler/TextOutputDev.h  |  10 ++++
 utils/pdftotext.1        |   7 +++
 utils/pdftotext.cc       |   7 +++
 4 files changed, 144 insertions(+), 1 deletion(-)

commit d1b83b0117427476ed0dabd96b7d21c6b85353f5
Author: Eddie Kohler <ekohler@gmail.com>
Date:   Sun Aug 2 14:16:24 2026 -0400

    pdftohtml: Process tiling patterns by ignoring them once

    Previously, pdftohtml ran very slowly on tiling patterns: it asked
    the underlying library to render every tile's drawing commands once
    per tile, all of which were then ignored. This code ignores each
    tiling paint request once, which can be thousands of times faster on
    PDFs that include tiling patterns.

 utils/HtmlOutputDev.h | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 6867baeb458a63412f809dc164777294699c2daf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 4 23:00:01 2026 +0200

    pdfimages: Fix typo in manpage

    Issue #1769

 utils/pdfimages.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7ef1185be1e5431c1d75b12480e83ce3c181728c
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Aug 3 16:49:59 2026 +0200

    Simplify QSTringToGooString

    It already assumes latin1, make it explicit

 qt5/src/poppler-private.cc | 9 +--------
 qt6/src/poppler-private.cc | 9 +--------
 2 files changed, 2 insertions(+), 16 deletions(-)

commit d50c7b7bf5161a3598952b6d530e222ef14b9997
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 01:55:35 2026 +0200

    A bit more of GooString -> std::string

 poppler/PageLabelInfo.cc          | 6 +++---
 poppler/PageLabelInfo_p.h         | 6 +++---
 qt5/tests/check_pagelabelinfo.cpp | 8 ++++----
 qt6/tests/check_pagelabelinfo.cpp | 8 ++++----
 4 files changed, 14 insertions(+), 14 deletions(-)

commit 7a45d06ea82d432dda370806ed1d52e81b21163c
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Aug 3 16:32:59 2026 +0200

    Savannah is down; fetch freetype from Debian

    It is part of Debian Stable, so it should be there for quite some time.

 .gitlab-ci.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5d6175cb987723bf06268b5b2f6ae84469a4340f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 23:39:44 2026 +0200

    Increase version so people that track master can add ifdefs on version

 CMakeLists.txt   | 2 +-
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit d663f8fe0237073fadf43e4e19acc46b3ba3e80a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 23:16:14 2026 +0200

    poppler 26.08.0

 CMakeLists.txt   |  6 +++---
 NEWS             | 17 +++++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 23 insertions(+), 6 deletions(-)

commit ed2a5538cf0a8d3ff908191eda9b73f91a5f952a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jul 26 16:49:00 2026 +0200

    FoFiTrueType::mapCodeToGID: Improve b*12 overflow check

    Issue #1761

 fofi/FoFiTrueType.cc | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 5e49250f13b0390edeb3f90eb4c02c9941f97067
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jul 26 16:11:19 2026 +0200

    Fix nullptr + number

    Issue #1759

 poppler/JBIG2Stream.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 90868d184b6f4574439b3cdf967c0ec5dd31fb7a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jul 25 15:43:01 2026 +0200

    CI: apt update before apt install

 .gitlab-ci.yml | 1 +
 1 file changed, 1 insertion(+)

commit 34fbdfcf97868e398a963bb6576a5343c89ff1c9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 20 17:54:30 2026 +0200

    Update (C)

 cpp/poppler-private.cpp          | 2 +-
 cpp/poppler-private.h            | 2 +-
 glib/poppler-action.h            | 1 +
 glib/poppler-attachment.h        | 1 +
 glib/poppler-document.h          | 1 +
 glib/poppler-form-field.h        | 1 +
 glib/poppler-layer.h             | 1 +
 glib/poppler-media.h             | 1 +
 glib/poppler-movie.h             | 1 +
 glib/poppler-page.h              | 1 +
 glib/poppler-structure-element.h | 1 +
 poppler/Catalog.h                | 2 +-
 poppler/Form.h                   | 2 +-
 poppler/SignatureInfo.cc         | 2 +-
 poppler/SignatureInfo.h          | 2 +-
 utils/ImageOutputDev.cc          | 1 +
 utils/ImageOutputDev.h           | 1 +
 utils/pdfimages.cc               | 1 +
 18 files changed, 18 insertions(+), 6 deletions(-)

commit fb16ac02e352aa7854ed163814e23c9afb4661d3
Author: Michael <ttmigueltt@gmail.com>
Date:   Mon Jul 13 23:07:22 2026 +0000

    pdfimages: Add min-height and min-width options

 utils/ImageOutputDev.cc | 19 +++++++++++++++++++
 utils/ImageOutputDev.h  |  6 ++++++
 utils/pdfimages.1       |  6 ++++++
 utils/pdfimages.cc      |  6 ++++++
 4 files changed, 37 insertions(+)

commit 046362e1ff80522a56e30ec44290d31d3c9c08f9
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Jul 8 13:44:39 2026 +0200

    Switch signature reason and location to std::string

 poppler/Form.cc          |  4 ++--
 poppler/SignatureInfo.cc | 16 ++++++++--------
 poppler/SignatureInfo.h  | 18 +++++++++---------
 qt5/src/poppler-form.cc  |  4 ++--
 qt6/src/poppler-form.cc  |  4 ++--
 5 files changed, 23 insertions(+), 23 deletions(-)

commit cdc11d3ad061e67d4221de28dc5802cdf0875c13
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Jul 8 13:44:12 2026 +0200

    Simplify a complex get string

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 574cc06ec14e89cf214176164ff29a870e6e01ac
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jul 10 14:51:20 2026 +0200

    Switch metaData xml to std::string

 cpp/poppler-document.cpp     |  4 ++--
 glib/poppler-document.cc     |  2 +-
 poppler/Catalog.cc           |  6 +++---
 poppler/Catalog.h            |  4 ++--
 poppler/PDFDoc.h             |  2 +-
 poppler/Stream.h             |  2 --
 qt5/src/poppler-document.cc  |  4 ++--
 qt5/tests/check_forms.cpp    |  2 +-
 qt6/src/poppler-document.cc  |  4 ++--
 qt6/tests/check_forms.cpp    |  2 +-
 qt6/tests/check_metadata.cpp | 13 +++++++++++++
 utils/pdfinfo.cc             |  4 ++--
 12 files changed, 30 insertions(+), 19 deletions(-)

commit f7025cb7ec95238a19ecbe267b78990781018037
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jul 9 14:53:06 2026 +0200

    GPGME: export minimal

    for s/mime this shouldn't matter.
    for gpg it is quite a big deal to not actually export with all of the
    signatures on the key. They shouldn't be needed here.

 poppler/GPGMECryptoSignBackend.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0ee99aa8b5a8da657be091f6595ebf17f086357b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jul 7 01:29:17 2026 +0200

    pdftohtml: Fix crash when using dataurls

    Fixes issue #1751

 utils/HtmlOutputDev.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 0a420324edcf988b0359da823bae0ebb0507a70a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jul 11 15:53:30 2026 +0200

    CI: workaround debian breakage

 .gitlab-ci.yml | 2 ++
 1 file changed, 2 insertions(+)

commit a67d5f1572d8c970ec3e76592f6880f58e881225
Author: Maximiliano Sandoval <msandova@protonmail.com>
Date:   Sat Jul 4 17:22:30 2026 +0200

    glib: Stop using G_GNUC_CONST in _get_type funcs

    As per g_type_ensure's documentation it is technically incorrect
    to mark
    _get_type functions with G_GNUC_CONST since they have side-effects on
    their first run.

    See https://gitlab.gnome.org/GNOME/glib/-/merge_requests/5223 for more
    details.

 glib/poppler-action.h            |  4 ++--
 glib/poppler-annot.h             | 32 ++++++++++++++++----------------
 glib/poppler-attachment.h        |  2 +-
 glib/poppler-document.h          | 12 ++++++------
 glib/poppler-form-field.h        |  8 ++++----
 glib/poppler-layer.h             |  2 +-
 glib/poppler-media.h             |  2 +-
 glib/poppler-movie.h             |  2 +-
 glib/poppler-page.h              | 22 +++++++++++-----------
 glib/poppler-structure-element.h |  6 +++---
 10 files changed, 46 insertions(+), 46 deletions(-)

commit 9085ccbee224d113731cd10990e928b5c7062c1f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 3 01:00:30 2026 +0200

    Use cmake modern way to check for linker support

 CMakeLists.txt | 14 ++------------
 1 file changed, 2 insertions(+), 12 deletions(-)

commit 78b765a82aadcced52226618fe38eaba566f9b71
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 3 00:40:21 2026 +0200

    Fix -Wunused-command-line-argument when using clang

    It seems that -fno-check-new is being passed both to the compiler and
    the linker and the clang linker complains about it not existing, with
    this change it is only passed to the compiler and we're warning free :)

 cmake/modules/PopplerMacros.cmake | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8b5f627c71dd98c84eaaf66bdacc506d64c9ba15
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jul 2 23:34:28 2026 +0200

    Make a static lib so we do not compile the same two files 13 times

 utils/CMakeLists.txt | 31 +++++++++++++++++--------------
 1 file changed, 17 insertions(+), 14 deletions(-)

commit 75a7720f7e35eec56e99ab36bd1f0338b50facb4
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jul 2 12:06:07 2026 +0200

    Less goostring in document info

 cpp/poppler-document.cpp         | 42
 +++++++++++++++++++-------------------
 cpp/poppler-embedded-file.cpp    |  4 ++--
 cpp/poppler-page.cpp             |  3 +--
 cpp/poppler-private.cpp          | 10 ++++-----
 cpp/poppler-private.h            |  2 +-
 glib/poppler-document.cc         | 44
 ++++++++++++++++++++--------------------
 poppler/PDFDoc.cc                | 10 ++++-----
 poppler/PDFDoc.h                 | 20 +++++++++---------
 qt5/src/poppler-document.cc      | 40 ++++++++++++++++++------------------
 qt5/tests/check_utf8document.cpp |  2 +-
 qt6/src/poppler-document.cc      | 40 ++++++++++++++++++------------------
 qt6/tests/check_utf8document.cpp |  2 +-
 12 files changed, 109 insertions(+), 110 deletions(-)

commit 81e2bd49619bade76d9eb5207a748a4144142013
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Jul 1 16:45:48 2026 +0200

    Appearstate can just be a std::string

 poppler/Annot.cc | 45 +++++++++++++++++++++++----------------------
 poppler/Annot.h  | 11 +++++------
 poppler/Form.cc  |  2 +-
 poppler/Form.h   |  2 +-
 4 files changed, 30 insertions(+), 30 deletions(-)

commit 84c4a202917f8d2f457e77743f09e9cc58761056
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jul 2 21:02:07 2026 +0000

    gfxfont: move member to function scope

 poppler/GfxFont.cc | 2 +-
 poppler/GfxFont.h  | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

commit 434dacc917baf951a1893097d1aaed5eef616738
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jul 2 22:17:12 2026 +0200

    Increase version so people that track master can add ifdefs on version

 CMakeLists.txt   | 2 +-
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit b7989c187daee307b782ac4592cddb1ae0677b76
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jul 2 20:22:49 2026 +0200

    poppler 26.07.0

 CMakeLists.txt     |  6 +++---
 NEWS               | 24 ++++++++++++++++++++++++
 cpp/CMakeLists.txt |  2 +-
 cpp/Doxyfile       |  2 +-
 qt5/src/Doxyfile   |  2 +-
 qt6/src/Doxyfile   |  2 +-
 6 files changed, 31 insertions(+), 7 deletions(-)

commit 0f212b125bdbf3080ce881133f0875ac7b6a1e03
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jul 1 00:49:11 2026 +0200

    Update (C)

 poppler/Page.cc  | 2 +-
 utils/pdfinfo.cc | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 2db4641725c50028dc458839613898a0a6a8870b
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Tue Jun 30 23:02:08 2026 +0100

    Fix adding annots when annotsObj is a Ref to Null

    when resolvedObj is Null we still need to set annotsObj
    to null to cover the case of being a Ref to Null, this
    end up causing the annots not being saved when 'saving as'
    the file.

    Fixes #1732

 poppler/Page.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 92a295fa290b0d122fef3d00e3276068914cea18
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 28 00:57:43 2026 +0200

    Fix abort on files with AcroFrom with no Fields inside

    When signing the file

 poppler/Catalog.cc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit b23024c43fa04d8f96f1ec09a6a6c25b4a035126
Author: evil rabbit <evilrabbit@tutamail.com>
Date:   Sat Jun 27 13:55:58 2026 +0000

    pdfinfo: sanitize output

 utils/pdfinfo.cc | 74
 ++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 64 insertions(+), 10 deletions(-)

commit 3573ca7fbcd73f3386aaf9f9b00bc78df102ab05
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 26 09:10:42 2026 +0200

    Rewrite Parser::getObj

    Remove gotos
    Remove "shared" obj

 poppler/Parser.cc | 63
 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 32 insertions(+), 31 deletions(-)

commit 8e3072d4cdc28e3c8dcba7ca1481a9fffb1b0e08
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 26 00:15:40 2026 +0200

    Remove Object::arrayAdd

 poppler/Annot.cc           | 15 ++++++++-------
 poppler/Array.h            |  6 ------
 poppler/Form.cc            | 33 +++++++++++++++++++--------------
 poppler/Object.h           |  1 -
 poppler/Page.cc            |  2 +-
 poppler/Parser.cc          |  3 ++-
 poppler/SplashOutputDev.cc |  7 ++++---
 utils/pdfunite.cc          |  3 ++-
 8 files changed, 36 insertions(+), 34 deletions(-)

commit d9ffc4c29d1975a5c81d6bac9d8a1b6dc5aa1f50
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 24 23:15:45 2026 +0200

    Remove Object::arrayGetNF

 poppler/Annot.cc           |  7 ++++---
 poppler/Array.h            |  6 ------
 poppler/Catalog.cc         | 12 +++++++-----
 poppler/Gfx.cc             | 14 ++++++++------
 poppler/GfxFont.cc         | 46
 ++++++++++++++++++++++++----------------------
 poppler/Link.cc            | 19 +++++++++++--------
 poppler/Object.cc          |  8 +++++---
 poppler/Object.h           |  1 -
 poppler/OptionalContent.cc | 38 +++++++++++++++++++++-----------------
 poppler/StructElement.cc   |  7 ++++---
 poppler/StructTreeRoot.cc  | 29 ++++++++++++++++-------------
 utils/pdfunite.cc          | 40 ++++++++++++++++++++++------------------
 12 files changed, 122 insertions(+), 105 deletions(-)

commit 87edb5a5c40e67e782e54a14a2251547b4acdfb5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 24 22:24:18 2026 +0200

    Remove Object::streamGetDict

    And will this all the Object Stream accessors are gone and we
    don't need
    to include Stream.h from Object.h

 glib/poppler-page.cc        |  2 +-
 poppler/Annot.cc            |  4 ++--
 poppler/CMap.cc             |  1 +
 poppler/CairoFontEngine.cc  |  2 +-
 poppler/CairoOutputDev.cc   |  4 ++--
 poppler/FileSpec.cc         |  2 +-
 poppler/FontInfo.cc         |  2 +-
 poppler/Function.cc         |  2 +-
 poppler/Gfx.cc              | 28 +++++++++++++++-------------
 poppler/GfxFont.cc          |  3 ++-
 poppler/GfxState.cc         |  9 +++++----
 poppler/GfxState.h          |  1 +
 poppler/Hints.cc            |  2 +-
 poppler/Link.cc             |  1 +
 poppler/Object.h            | 10 ----------
 poppler/PSOutputDev.cc      | 17 +++++++++--------
 poppler/Page.cc             |  2 +-
 poppler/PreScanOutputDev.cc |  1 +
 poppler/Rendition.cc        |  3 ++-
 poppler/Stream.h            | 11 +----------
 poppler/XRef.cc             | 15 ++++++++-------
 test/image-embedding.cc     |  4 ++--
 22 files changed, 59 insertions(+), 67 deletions(-)

commit 4206e742a3efbb9e8cbc026d9a28ea25913d48f5
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Jun 24 15:54:08 2026 +0200

    signing: gpgme: dont list untrusted keys

    rejection will happen at a later point anyways, so no need to offer it

 poppler/GPGMECryptoSignBackend.cc               | 66
 +++++++++++++---------
 qt6/tests/CMakeLists.txt                        |  2 +
 qt6/tests/check_untrusted_signature_keylist.cpp | 75
 +++++++++++++++++++++++++
 3 files changed, 117 insertions(+), 26 deletions(-)

commit 3a4e424e58f52d9b669a3e239db63f56b98ef3d7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 24 12:24:12 2026 +0200

    Update (C)

 poppler/AnnotStampImageHelper.h      | 1 +
 qt5/src/poppler-annotation-private.h | 2 +-
 qt6/src/poppler-annotation-private.h | 2 +-
 3 files changed, 3 insertions(+), 2 deletions(-)

commit 6b72925f653d0027f54b5291c851221f0c12312a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 24 10:13:07 2026 +0200

    Remove  Object::streamGetChar

 poppler/Lexer.cc | 2 +-
 poppler/Object.h | 1 -
 poppler/Stream.h | 6 ------
 3 files changed, 1 insertion(+), 8 deletions(-)

commit c94ff02317c102a8d6ee1c33a602fe2db23ae9fc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 23 00:36:01 2026 +0200

    Split Ref to its own include

    Allows some includes to include Ref.h instead of Object.h

 CMakeLists.txt      |   1 +
 poppler/FontInfo.cc |   3 +-
 poppler/FontInfo.h  |   4 +-
 poppler/Object.h    |  83 +----------------------------------
 poppler/Outline.h   |   4 +-
 poppler/Ref.h       | 124
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 134 insertions(+), 85 deletions(-)

commit 17f6fa4df9338903486b6d341edf83a482ab15f9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 23 10:43:51 2026 +0200

    Remove Object::streamRewind

 poppler/FileSpec.cc         |  6 ++--
 poppler/GfxFont.cc          | 80
 ++++++++++++++++++++++++++-------------------
 poppler/GfxState.cc         |  6 +++-
 poppler/Lexer.cc            |  6 ++--
 poppler/Object.h            |  1 -
 poppler/PSOutputDev.cc      | 30 ++++++++---------
 poppler/Rendition.cc        |  5 +--
 poppler/Stream.h            |  6 ----
 poppler/XRef.cc             |  5 +--
 qt5/src/poppler-document.cc | 12 ++++---
 qt6/src/poppler-document.cc | 12 ++++---
 11 files changed, 93 insertions(+), 76 deletions(-)

commit 3fdd19e579b13a1089d579ce1c4782575306f459
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 24 01:13:44 2026 +0200

    Remove a bunch of goto in PSOutputDev::setupEmbeddedType1Font

 poppler/PSOutputDev.cc | 33 +++++++++++++++++++++++----------
 1 file changed, 23 insertions(+), 10 deletions(-)

commit 628cd58cb14b9c384f6d086b54adcb4ac9a433db
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 23 10:47:42 2026 +0200

    Remove two easy gotos

 poppler/GfxState.cc | 32 ++++++++++++--------------------
 1 file changed, 12 insertions(+), 20 deletions(-)

commit bb949d422524649e6d80e4342c7a3fa18f926cef
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 23 00:04:09 2026 +0200

    Cleanup include

 poppler/Array.h            | 1 -
 poppler/CMap.cc            | 3 +--
 poppler/CMap.h             | 4 ++--
 poppler/CairoOutputDev.cc  | 2 --
 poppler/Function.h         | 6 +++++-
 poppler/GfxState.cc        | 2 --
 poppler/PageTransition.cc  | 4 +++-
 poppler/PageTransition.h   | 6 ++++--
 poppler/SplashOutputDev.cc | 1 -
 poppler/Stream.h           | 1 -
 poppler/XRef.h             | 3 +--
 11 files changed, 16 insertions(+), 17 deletions(-)

commit 9e34004aae04064f1b798b5e711e13d0dddacf9e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 22 23:33:40 2026 +0200

    Use std::string instead of GooString for label
